get
https://api.sumsub.com/resources/applicantActions//allDocs/docs
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Use this method to get AllDocs results performed with applicant actions by actionId.
Required permissions
To use this method, your app token must have the View applicant's personal data permission.
Request example
curl -X GET \
'https://api.sumsub.com/resources/applicantActions/63e096c51b6b4030f2e01154/allDocs/docs' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>'Response explained
The response is a JSON file that includes structured data from all the documents uploaded to the applicant profile.
| Field | Type | Description |
|---|---|---|
applicantId | String | Unique applicant identifier in the Sumsub system. This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side. |
applicantActionId | String | Unique identifier of the applicant action in the Sumsub system. |
docs | Array of Objects | Represents a list of documents uploaded by the applicant. |
docs element fields
docs element fieldsThe following table explains the element fields of the docs array that represents a list of documents uploaded to the applicant profile.
| Field | Type | Description |
|---|---|---|
id | String | Unique document identifier. |
allDocsPresetName | String | Preset that was used for AllDocs verification. Mind that presets are created and edited for you by Sumsub experts. You can view them in read-only mode. |
imageIds | Array of strings | Includes a list of identifiers for all uploaded documents. |
questionnaireId | String | Unique identifier of the questionnaire. |
questionnaireSectionId | String | Identifier of the questionnaire section that represents a separate group of questions added to the questionnaire.. |
questionnaireItemId | String | Identifier of the questionnaire section item that stands for a single question added to the questionnaire. |
fields | Array of objects | List of parameters and corresponding values that define the allDocsPresetName configuration. |
fields element fields
fields element fieldsThe following table explains the elements of the fields array.
| Field | Type | Description |
|---|---|---|
name | String | Name of the field that stands for a parameter included into the allDocsPresetName configuration. |
values | Array of strings | Value or values of the field with the corresponding name. |
Response example
{
"applicantId": "674d7e0e728e9476b1566ce0",
"applicantActionId": "63e096c51b6b4030f2e01154",
"docs": [ // A list of documents.
{
"id": "674d7e2b738e9475b1566d14", // Document ID.
"allDocsPresetName": "sourceOfFunds",
"imageIds": [
"1135780909"
],
"questionnaireId": "sofWithCustomName",
"questionnaireSectionId": "firstTitle",
"questionnaireItemId": "sofImage",
"fields": [ // Fields depend upon the 'allDocsPresetName' configuration.
{
"name": "docType",
"values": [
"transferConfirmation"
]
},
{
"name": "ownerName",
"values": [
"John Doe"
]
},
{
"name": "issuedDate",
"values": [
"2023-04-03"
]
}
]
}
]
}